Bug 844426 - mcollective-qpid-plugin needs License file
mcollective-qpid-plugin needs License file
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Krishna Raman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 10:53 EDT by Troy Dawson
Modified: 2015-05-14 22:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2012-07-30 10:53:41 EDT
Description of problem:
The mcollective-qpid-plugin has no license file.
End users may be confused what license this plugin is under.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Checkout crankcase code (git clone https://github.com/openshift/crankcase.git)
2. cd crankcase/gearchanger/mcollective/qpid-plugin
3. ls *
  
Actual results:
Two files are shown.  mcollective-qpid-plugin.spec and src/qpid.rb

Expected results:
At least one file called LICENSE or something similar.

Additional info:
According to the mcollective-qpid-plugin.spec file, qpid.rb is licensed under the ASL 2.0 license.  That is the license file that should be put in the directory.
Comment 1 Troy Dawson 2012-07-30 11:17:17 EDT
The COPYRIGHT file is also missing.
Comment 2 Krishna Raman 2012-07-30 12:41:29 EDT
https://github.com/openshift/crankcase/pull/298
Comment 3 Johnny Liu 2012-08-01 04:40:53 EDT
Verified this bug with devenv_1931, and PASS.

# rpm -ql mcollective-qpid-plugin-0.1.3-1.el6_3.noarch
/usr/libexec/mcollective/mcollective/connector/qpid.rb
/usr/share/doc/mcollective-qpid-plugin/COPYRIGHT
/usr/share/doc/mcollective-qpid-plugin/LICENSE
/usr/share/doc/mcollective-qpid-plugin/README.md

# cat /usr/share/doc/mcollective-qpid-plugin/COPYRIGHT
Copyright 2012 Red Hat, Inc. and/or its affiliates.
You have new mail in /var/spool/mail/root

# cat /usr/share/doc/mcollective-qpid-plugin/LICENSE
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Note You need to log in before you can comment on or make changes to this bug.